IPSW-MACHO-DISASS(1)

NAME

ipsw-macho-disass - Disassemble ARM64 MachO at symbol/vaddr

SYNOPSIS

ipsw macho disass [flags]

DESCRIPTION

Disassemble ARM64 MachO at symbol/vaddr

OPTIONS

-z, --all-fileset-entries[=false]
    Parse all fileset entries

--arch=""
    Which architecture to use for fat/universal MachO

--cache=""
    Path to .a2s addr to sym cache file (speeds up analysis)

-c, --count=0
    Number of instructions to disassemble

-d, --demangle[=false]
    Demangle symbol names

-t, --fileset-entry=""
    Which fileset entry to analyze

-h, --help[=false]
    help for disass

-j, --json[=false]
    Output as JSON

-o, --off=0
    File offset to start disassembling

-q, --quiet[=false]
    Do NOT markup analysis (Faster)

-x, --section=""
    Disassemble an entire segment/section (i.e. TEXT_EXEC.text)

-s, --symbol=""
    Function to disassemble

-a, --vaddr=0
    Virtual address to start disassembling

OPTIONS INHERITED FROM PARENT COMMANDS

--color[=false]
    colorize output

--config=""
    config file (default is $HOME/.config/ipsw/config.yaml)

--no-color[=false]
    disable colorize output

-V, --verbose[=false]
    verbose output

SEE ALSO

ipsw-macho(1)

HISTORY

1-May-2024 Auto generated by spf13/cobra